> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezytail.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get specific procurement reports

> Fetch all order reports attached to a procurement



## OpenAPI

````yaml get /procurements/{uniqueProcurementID}/reports
openapi: 3.0.4
info:
  title: EzyConnect API
  description: API to Ezytail Logistics Platform
  contact:
    name: Ezytail
    url: https://ezytail.com
    email: contact@ezytail.com
  version: v1
servers: []
security:
  - Bearer: []
paths:
  /procurements/{uniqueProcurementID}/reports:
    get:
      tags:
        - Procurements
      summary: Get specific procurement reports
      description: Fetch all order reports attached to a procurement
      operationId: GetProcurementReports
      parameters:
        - name: uniqueProcurementID
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProcurementReport'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProcurementReport'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProcurementReport'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
        default:
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    ProcurementReport:
      type: object
      properties:
        id:
          type: integer
          format: int64
        activityCode:
          title: CODACTI
          maxLength: 3
          type: string
          description: Code de l'activité
          nullable: true
        dateCreation:
          title: DATECREATION
          type: string
          format: date-time
        dateLastUpdate:
          title: DATELASTUPDATE
          type: string
          format: date-time
        receptionUniqueID:
          title: IDRECEP
          maxLength: 20
          type: string
          description: Identifiant unique de la réception
          nullable: true
        supplierCode:
          title: CODFOUR
          maxLength: 13
          type: string
          description: Code fournisseur
          nullable: true
        receptionStatus:
          title: ETAREC
          maxLength: 1
          type: string
          description: Etat de la réception
          nullable: true
        ezytailReceptionUniqueID:
          title: NUMREC
          maxLength: 25
          type: string
          description: Identifiant unique de la réception chez EZYTAIL
          nullable: true
        receptionProcessingNumber:
          title: SNUREC
          maxLength: 3
          type: string
          description: N° de traitement des réceptions
          nullable: true
        carrierDeliveryBLNumber:
          title: NUMBL
          maxLength: 10
          type: string
          description: N° du BL fourni par le transporteur a la livraison
          nullable: true
        blIssuanceDate:
          title: DATEBL
          type: string
          description: Date d'émission du BL
          format: date-time
          nullable: true
        actualReceptionDate:
          title: DATEREC
          type: string
          description: 'Date de réception effective '
          format: date-time
          nullable: true
        rMotifRec:
          title: RMOTIFREC
          type: string
          nullable: true
        rTypeRec:
          title: RTYPEREC
          type: string
          nullable: true
        dateProcessed:
          title: DATEPROCESSED
          type: string
          format: date-time
          nullable: true
        entries:
          type: array
          items:
            $ref: '#/components/schemas/ProcurementReportEntry'
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ProcurementReportEntry:
      type: object
      properties:
        id:
          type: integer
          format: int64
        activityCode:
          title: CODACTI
          maxLength: 3
          type: string
          description: Code de l'activité
          nullable: true
        dateCreation:
          title: DATECREATION
          type: string
          format: date-time
        dateLastUpdate:
          title: DATELASTUPDATE
          type: string
          format: date-time
        orderLineID:
          title: IDLIGNE
          maxLength: 35
          type: string
          description: N° de ligne de commande
          nullable: true
        articleReference:
          title: CODARTI
          maxLength: 16
          type: string
          description: Référence article
          nullable: true
          x-tags:
            - Entête Article
        receivedQuantity:
          title: QTTEREC
          type: integer
          description: 'Quantité réceptionnée '
          format: int32
          nullable: true
        theoreticalRemainingQuantity:
          title: QTTERLQ
          type: integer
          description: 'Quantité théorique restante à traiter '
          format: int32
          nullable: true
        supplierBLQuantity:
          title: QTTESBL
          type: integer
          description: Quantité indiqué sur le BL du fournisseur
          format: int32
          nullable: true
        ezytailReceptionUniqueID:
          title: NUMREC
          maxLength: 25
          type: string
          description: Identifiant unique de la réception chez EZYTAIL
          nullable: true
        details:
          type: array
          items:
            $ref: '#/components/schemas/ProcurementReportEntryDetail'
          nullable: true
      additionalProperties: false
    ProcurementReportEntryDetail:
      type: object
      properties:
        id:
          type: integer
          format: int64
        activityCode:
          title: CODACTI
          maxLength: 3
          type: string
          description: Code de l'activité
          nullable: true
        dateCreation:
          title: DATECREATION
          type: string
          format: date-time
        dateLastUpdate:
          title: DATELASTUPDATE
          type: string
          format: date-time
        ownerCode:
          title: CODPROP
          maxLength: 3
          type: string
          description: Code propriétaire
          nullable: true
        receivedQuantity:
          title: QTTEREC
          type: integer
          description: 'Quantité réceptionnée '
          format: int32
          nullable: true
        receivedLotNumber:
          title: NUMLOT
          maxLength: 30
          type: string
          description: N° de lot réceptionné
          nullable: true
        articleReceivedDate:
          title: DATEART
          type: string
          description: Date réceptionnée sur l'article
          format: date-time
          nullable: true
        serialNumber:
          title: NOSERIE
          maxLength: 30
          type: string
          description: N° de série
          nullable: true
        orderLineID:
          title: IDLIGNE
          maxLength: 35
          type: string
          description: N° de ligne de commande
          nullable: true
        ezytailReceptionUniqueID:
          title: NUMREC
          maxLength: 25
          type: string
          description: Identifiant unique de la réception chez EZYTAIL
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: oauth2
      description: |-
        JWT Authorization header using the Bearer scheme. \r\n\r\n 
                          Enter 'Bearer' [space] and then your token in the text input below.
                          \r\n\r\nExample: 'Bearer 12345abcdef'
      flows:
        authorizationCode:
          authorizationUrl: https://auth.ezytail.com/connect/authorize
          tokenUrl: https://auth.ezytail.com/connect/token
          scopes:
            ezy_connect: EzyConnect API Scope

````